=== bindings/CMakeLists.txt ===

if( BUILD_PYTHON )
  add_subdirectory( python )
endif()
