=== docs/CMakeLists.txt ===

add_subdirectory(man)
