=== src/XProtocol/CMakeLists.txt ===
target_sources(XrdUtils
  PRIVATE
    XProtocol.hh
    XProtocol.cc
)
