=== debian/changelog ===
xrootd (5.9.0-1) unstable; urgency=medium

  * Update to version 5.9.0
  * Add Build-Depends libcrypt-dev (Closes: #1107063)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 11 Oct 2025 14:07:08 +0200
