=== debian/control ===
Source: xrootd
Section: net
Priority: optional
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-installsysusers,
 dpkg-dev (>= 1.22.5),
 dh-python,
 cmake,
 pkgconf,
 libfuse-dev [linux-any kfreebsd-any],
 libkrb5-dev,
 libcurl4-openssl-dev,
 libtinyxml-dev,
 libxml2-dev,
 ncurses-dev,
 libssl-dev,
 libreadline-dev,
 zlib1g-dev,
 libsystemd-dev [linux-any],
 pybuild-plugin-pyproject,
 python3-dev,
 python3-pip,
 python3-setuptools,
 python3-wheel,
 libjson-c-dev,
 libmacaroons-dev,
 uuid-dev,
 voms-dev,
 libscitokens-dev,
 davix-dev,
 libcrypt-dev,
 librados-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libradospp-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libradosstriper-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libisal-dev [amd64 arm64 mips64el ppc64el riscv64 s390x alpha hurd-amd64 loong64 ppc64 sparc64],
 attr,
 curl,
 davix,
 libgtest-dev,
 openssl,
 procps,
 uuid-runtime
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 doxygen,
 graphviz,
 python3-sphinx
Homepage: https://xrootd.web.cern.ch/
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Vcs-Browser: https://salsa.debian.org/ellert/xrootd
Vcs-Git: https://salsa.debian.org/ellert/xrootd.git

Package: xrootd-server
Architecture: any
Multi-Arch: foreign
Depends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-server-plugins (= ${binary:Version}),
 expect,
 logrotate,
 ${perl:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: Extended ROOT file server
 The Extended root file server consists of a file server called xrootd
 and a cluster management server called cmsd.
 .
 The xrootd server was developed for the root analysis framework to
 serve root files. However, the server is agnostic to file types and
 provides POSIX-like access to any type of file.
 .
 The cmsd server is the next generation version of the olbd server,
 originally developed to cluster and load balance Objectivity/DB AMS
 database servers. It provides enhanced capability along with lower
 latency and increased throughput.

Package: libxrdapputils2t64
Provides: ${t64:Provides}
Replaces: libxrdapputils2
Breaks: libxrdapputils2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Utilities library for xrootd applications
 This package contains the xrootd utilities library for applications.

Package: libxrdcrypto2t64
Provides: ${t64:Provides}
Replaces: libxrdcrypto2
Breaks: libxrdcrypto2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Cryptograpic library for xrootd
 This package contains the xrootd cryptograpic library.

Package: libxrdcryptolite2t64
Provides: ${t64:Provides}
Replaces: libxrdcryptolite2
Breaks: libxrdcryptolite2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Light version of cryptograpic library for xrootd
 This package contains the light version of the xrootd cryptograpic library.

Package: libxrdutils3t64
Provides: ${t64:Provides}
Replaces:
 libxrdutils3,
 libxrdcephposix0 [i386 armel armhf mips mipsel powerpc],
 xrootd-ceph-plugins [i386 armel armhf mips mipsel powerpc],
 libxrdec1t64 [armel armhf m68k sh4],
 libxrdec1 [armel armhf m68k sh4]
Breaks:
 libxrdutils3 (<< ${source:Version}),
 libxrdcephposix0 [i386 armel armhf mips mipsel powerpc],
 xrootd-ceph-plugins [i386 armel armhf mips mipsel powerpc],
 libxrdec1t64 [armel armhf m68k sh4],
 libxrdec1 [armel armhf m68k sh4]
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Utilities library for xrootd
 This package contains the xrootd utilities library.

Package: libxrdxml3t64
Provides: ${t64:Provides}
Replaces: libxrdxml3
Breaks: libxrdxml3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: XML library for xrootd
 This package contains the xrootd XML library.

Package: xrootd-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Plugins used by xrootd servers and clients
 This package contains plugins used by the xrootd servers and clients.

Package: libxrootd-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxrdapputils2t64 (= ${binary:Version}),
 libxrdcrypto2t64 (= ${binary:Version}),
 libxrdcryptolite2t64 (= ${binary:Version}),
 libxrdutils3t64 (= ${binary:Version}),
 libxrdxml3t64 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for xrootd
 This package contains header files and development libraries for xrootd
 development.

Package: libxrdcl3t64
Provides: ${t64:Provides}
Replaces: libxrdcl3
Breaks: libxrdcl3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-client-plugins(= ${binary:Version})
Description: Client library for xrootd
 This package contains the xrootd client library.

Package: libxrdec1t64
Provides: ${t64:Provides}
Replaces: libxrdec1
Breaks: libxrdec1 (<< ${source:Version})
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha hurd-amd64 loong64 ppc64 sparc64
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Erasure code library for xrootd
 This package contains the xrootd erasure code library.

Package: libxrdffs3t64
Provides: ${t64:Provides}
Replaces: libxrdffs3
Breaks: libxrdffs3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: File protocol library for xrootd
 This package contains the xrootd file protocol library.

Package: libxrdposix3t64
Provides: ${t64:Provides}
Replaces: libxrdposix3
Breaks: libxrdposix3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Posix interface library for xrootd
 This package contains the xrootd Posix interface library.

Package: libxrdssilib2t64
Provides: ${t64:Provides}
Replaces: libxrdssilib2
Breaks: libxrdssilib2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Server internals library for xrootd
 This package contains an xrootd server internals library.

Package: libxrdssishmap2t64
Provides: ${t64:Provides}
Replaces: libxrdssishmap2
Breaks: libxrdssishmap2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Server internals library for xrootd
 This package contains an xrootd server internals library.

Package: xrootd-client-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Plugins used by xrootd clients
 This package contains plugins used by xrootd clients.

Package: xrootd-client-http-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: HTTP client plugin for XRootD client
 This package contains an XRootD client plugin which allows XRootD to
 interact with HTTP repositories.

Package: libxrootd-client-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxrdcl3t64 (= ${binary:Version}),
 libxrdffs3t64 (= ${binary:Version}),
 libxrdposix3t64 (= ${binary:Version}),
 libxrootd-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for xrootd clients
 This package contains header files and development libraries for xrootd
 client development.

Package: libxrdhttputils2t64
Provides: ${t64:Provides}
Replaces: libxrdhttputils2
Breaks: libxrdhttputils2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: HTTP protocol utilities library for xrootd
 This package contains the xrootd HTTP protocol utilities library.

Package: libxrdserver3t64
Provides: ${t64:Provides}
Replaces: libxrdserver3
Breaks: libxrdserver3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-server-plugins(= ${binary:Version})
Description: Server library for xrootd
 This package contains the xrootd server library.

Package: xrootd-server-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Plugins used by xrootd servers
 This package contains plugins used by xrootd servers.

Package: libxrootd-server-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxrdhttputils2t64 (= ${binary:Version}),
 libxrdserver3t64 (= ${binary:Version}),
 libxrootd-dev (= ${binary:Version}),
 libxrootd-client-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for xrootd servers
 This package contains header files and development libraries for xrootd
 server development.

Package: libxrootd-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxrdec1t64 (= ${binary:Version}) [amd64 arm64 mips64el ppc64el riscv64 s390x alpha hurd-amd64 loong64 ppc64 sparc64],
 libxrdssilib2t64 (= ${binary:Version}),
 libxrdssishmap2t64 (= ${binary:Version}),
 libxrootd-dev (= ${binary:Version}),
 libxrootd-client-dev (= ${binary:Version}),
 libxrootd-server-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Private xrootd headers
 This package contains some private xrootd headers. Backward and forward
 compatibility between versions is not guaranteed for these headers.

Package: xrootd-client
Architecture: any
Multi-Arch: foreign
Depends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-client-plugins(= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Xrootd command line client tools
 This package contains the command line tools used to communicate with
 xrootd servers.

Package: xrootd-fuse
Architecture: linux-any kfreebsd-any
Multi-Arch: foreign
Depends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-client-plugins (= ${binary:Version}),
 fuse3 (>= 3.10.1-3) | fuse (<< 3),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Xrootd FUSE tool
 This package contains the FUSE (file system in user space) xrootd mount
 tool.

Package: xrootd-voms-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: VOMS attribute extractor plugin for XRootD
 This package contains the xrootd VOMS attribute extractor plugin.

Package: xrootd-scitokens-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: SciTokens authorization support for XRootD
 This ACC (authorization) plugin for the XRootD framework utilizes the
 SciTokens library to validate and extract authorization claims from a
 SciToken passed during a transfer. Configured appropriately, this
 allows the XRootD server admin to delegate authorization decisions for
 a subset of the namespace to an external issuer.

Package: libxrdcephposix0
Architecture: amd64 arm64 loong64 mips64el ppc64el riscv64 s390x
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Ceph posix library for xrootd
 This package contains an xrootd library used by the ceph plugins.

Package: xrootd-ceph-plugins
Architecture: amd64 arm64 loong64 mips64el ppc64el riscv64 s390x
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: XRootD plugin for interfacing with the Ceph storage platform
 The xrootd-ceph is an OSS layer plugin for the XRootD server for
 interfacing with the Ceph storage platform.

Package: python3-xrootd
Architecture: any
Multi-Arch: foreign
Section: python
Provides:
 ${python3:Provides}
Depends:
