## xrootd 5.9.1

=== debian/changelog ===
xrootd (5.9.1-3) unstable; urgency=medium

  * Use longer token lifetime during tests (backport from upstream)
  * Adjust some test timeouts

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 29 Nov 2025 07:40:54 +0100

xrootd (5.9.1-2) unstable; urgency=medium

  * Drop FUSE support (Closes: #1094464, #1121186 )

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 27 Nov 2025 10:19:48 +0100

xrootd (5.9.1-1) unstable; urgency=medium

  * Update to version 5.9.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 18 Nov 2025 11:12:28 +0100
