=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  dh-python,
  cmake,
  pkgconf,
- libfuse-dev [linux-any kfreebsd-any],
  libkrb5-dev,
  libcurl4-openssl-dev,
  libtinyxml-dev,
@@ -122,13 +121,15 @@
  libxrdcephposix0 [i386 armel armhf mips mipsel powerpc],
  xrootd-ceph-plugins [i386 armel armhf mips mipsel powerpc],
  libxrdec1t64 [armel armhf m68k sh4],
- libxrdec1 [armel armhf m68k sh4]
+ libxrdec1 [armel armhf m68k sh4],
+ xrootd-fuse
 Breaks:
  libxrdutils3 (<< ${source:Version}),
  libxrdcephposix0 [i386 armel armhf mips mipsel powerpc],
  xrootd-ceph-plugins [i386 armel armhf mips mipsel powerpc],
  libxrdec1t64 [armel armhf m68k sh4],
- libxrdec1 [armel armhf m68k sh4]
+ libxrdec1 [armel armhf m68k sh4],
+ xrootd-fuse
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -373,19 +374,6 @@
  This package contains the command line tools used to communicate with
  xrootd servers.
 
-Package: xrootd-fuse
-Architecture: linux-any kfreebsd-any
-Multi-Arch: foreign
-Depends:
- xrootd-plugins (= ${binary:Version}),
- xrootd-client-plugins (= ${binary:Version}),
- fuse3 (>= 3.10.1-3) | fuse (<< 3),
- ${shlibs:Depends},
- ${misc:Depends}
-Description: Xrootd FUSE tool
- This package contains the FUSE (file system in user space) xrootd mount
- tool.
-
 Package: xrootd-voms-plugins
 Architecture: any
 Multi-Arch: same
@@ -438,3 +426,19 @@
 Provides:
  ${python3:Provides}
 Depends:
+ xrootd-plugins (= ${binary:Version}),
+ xrootd-client-plugins (= ${binary:Version}),
+ ${python3:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: Python 3 bindings for xrootd
+ This package contains Python 3 bindings for xrootd.
+
+Package: xrootd-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends:
+ ${sphinxdoc:Depends},
+ ${misc:Depends}
+Built-Using:
