=== debian/rules ===
--- 
+++ 
@@ -20,12 +20,6 @@
 CEPH = OFF
 endif
 
-ifneq ($(filter $(DEB_HOST_ARCH_OS),linux kfreebsd),)
-FUSE = ON
-else
-FUSE = OFF
-endif
-
 ifneq ($(filter $(DEB_HOST_ARCH),amd64 arm64 mips64el ppc64el riscv64 s390x alpha hurd-amd64 loong64 ppc64 sparc64),)
 EC = ON
 else
@@ -49,7 +43,7 @@
 	dh_auto_configure -- \
 	    -DFORCE_ENABLED:BOOL=ON \
 	    -DENABLE_TESTS:BOOL=ON \
-	    -DENABLE_FUSE:BOOL=$(FUSE) \
+	    -DENABLE_FUSE:BOOL=OFF \
 	    -DENABLE_CEPH:BOOL=$(CEPH) \
 	    -DENABLE_XRDEC:BOOL=$(EC) \
 	    -DPIP_OPTIONS="--no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --verbose"
